DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# WeightedDiv

arithmetic function

## SYNOPSIS

`#include "dip_math.h"`

dip_Error dip_WeightedDiv ( in1, in2, out, weight )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

This function calculates `out` = `in1` / `weight` * `in2`; If (`weight` * `in2`) is zero, `out` will be set to zero as well.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in1` | First input
`dip_Image` | `in2` | Second input
`dip_Image` | `out` | Output
`dip_float` | `weight` | Weight

## SEE ALSO

`WeightedAdd`, `WeightedMul`, `WeightedSub`

DIPlib on-line documentation | Function reference | Global function index